// An Authority handler
class DAHandler expands DHandler
	config(DCoopAuthTable);
struct AuthEntry
{
var() config name CmdName;
var() config int MinAuth;
};

var() config AuthEntry AuthTable[128];

function bool HasAuthority(name Command, DPlayer PP, out int NeededAuth)
{
	local int I;

	NeededAuth=999;

	/* Allow anything in SinglePlayer */
	if (Level.NetMode==NM_StandAlone) return true;

	/* Servers Admins can do whatever */
	if (PP.myPRI.UserLvl>4) return true;

	for (I=0;I<128;I++)
		if (AuthTable[I].CmdName==Command)
			{ NeededAuth=AuthTable[I].MinAuth; return (PP.myPRI.UserLvl>=AuthTable[I].MinAuth); }

	return false; /* Duh... */
}

defaultproperties
{
}
